Skip to content

Rebuild Managani search indexes​

POST
/reindex

Recreates the URL, crawled-page, feedback, feedback-comment, and release indexes. Active crawl-enabled project sites are queued for a full recrawl.

Authorizations​

BearerAuth

JWT token from login

Type
HTTP (bearer)
or
AccessToken

Personal access token. Value: Token <your-token>

Type
API Key (header: Authorization)

Responses​

OK

application/json
JSON
{
  
"status": "string",
  
"message": "string",
  
"total_queued": 0,
  
"indexed": 0,
  
"remaining": 0,
  
"started_at": "string",
  
"counts": {
  
  
"db_records": 0,
  
  
"indexed_records": 0,
  
  
"not_indexed_records": 0,
  
  
"by_type": {
  
  
  
"pages": {
  
  
  
  
"db_records": 0,
  
  
  
  
"indexed_records": 0,
  
  
  
  
"not_indexed_records": 0
  
  
  
},
  
  
  
"additionalProperties": {
  
  
  
  
"db_records": 0,
  
  
  
  
"indexed_records": 0,
  
  
  
  
"not_indexed_records": 0
  
  
  
}
  
  
}
  
},
  
"results": {
  
  
"urls": {
  
  
  
"queued": 0
  
  
},
  
  
"pages": {
  
  
  
"queued": 0,
  
  
  
"sources": 0
  
  
},
  
  
"feedback": {
  
  
  
"queued": 0
  
  
},
  
  
"feedback_comments": {
  
  
  
"queued": 0
  
  
},
  
  
"releases": {
  
  
  
"queued": 0
  
  
}
  
}
}

Playground​

Authorization

Samples​

Powered by VitePress OpenAPI